package com.sv.mapper;

import com.sv.entity.AboutUs;

import java.util.List;

/**
 * Mapper - 关于我们
 *
 * @author lihong
 * @since 2018-08-06
 */
public interface AboutUsMapper {

    /**
     * 新建关于我们
     *
     * @param aboutUs 关于我们
     */
    void insert(AboutUs aboutUs);

    /**
     * 更新关于我们
     *
     * @param aboutUs 关于我们
     */
    void update(AboutUs aboutUs);

    /**
     * 删除关于我们
     *
     * @param id 编号
     * @return 删除数量
     */
    int delete(Integer id);

    /**
     * 删除关于我们
     *
     * @param ids 编号数组
     * @return 删除数量
     */
    int deleteByIds(Integer[] ids);

    /**
     * 查询关于我们
     *
     * @param id 编号
     * @return 关于我们
     */
    AboutUs findById(Integer id);

    /**
     * 查询关于我们
     *
     * @return 关于我们集合
     */
    List<AboutUs> findAll();

    /**
     * api 查询关于我们
     */
    AboutUs findUss();
}